groups:
- name: gitlab-wale-backup.rules
  rules:
  - record: gitlab_com:last_wale_backup_age_in_seconds
    expr: (min(time() - wale_backup_last_completed_time_seconds{environment="gprd"}))
  - record: gitlab_com:last_wale_basebackup_age_in_hours
    expr: (min(time() - wale_basebackup_last_completed_time_seconds{environment="gprd"}) / 3600)
  - record: gitlab_com:last_wale_successful_basebackup_age_in_hours
    expr: min(time()-push_time_seconds{job='wale-basebackup',status="1",environment="gprd"}) / 3600
  - record: gitlab_com:last_wale_failed_basebackup_age_in_hours
    expr: min(time()-push_time_seconds{job='wale-basebackup',status="-1",environment="gprd"}) / 3600
  - alert: WALEBackupDelayed
    expr: gitlab_com:last_wale_backup_age_in_seconds >= 60 * 15
    for: 5m
    labels:
      pager: pagerduty
      severity: s1
      alert_type: cause
    annotations:
      description: WAL-E wal-push archiving WALs to GCS might be not working. Please follow the runbook
        to review the problem.
      runbook: docs/patroni/postgresql-backups-wale-walg.md
      title: Last WAL was archived {{ .Value | humanizeDuration }} ago.
  - alert: WALEBaseBackupDelayed
    expr: gitlab_com:last_wale_successful_basebackup_age_in_hours >= 48
    for: 5m
    labels:
      pager: pagerduty
      severity: s1
      alert_type: cause
    annotations:
      description: WAL-E backup-push creating full backups and archiving them to GCS might be not working. Please follow the runbook
        to review the problem.
      runbook: docs/patroni/postgresql-backups-wale-walg.md
      title: Last successful WAL-E basebackup was seen {{ .Value }} hours ago.
